%define srcname	poetry

Name:		python-poetry
Version:	1.8.3
Release:	%mkrel 2
Summary:	Python dependency management and packaging made easy
Group:		Development/Python
License:	GPLv2+
URL:		https://pypi.org/project/poetry/
Source0:	https://pypi.python.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:  pkgconfig(python3)

%description
Python dependency management and packaging made easy

%package -n python3-poetry
Summary:	Python 3 dependency management and packaging made easy
Group:		Development/Python

%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-poetry
Python3 dependency management and packaging made easy.

%prep
%autosetup -p1 -n %{srcname}-%{version}

# handle reqs with pyproject.toml
rm -rf PKG-INFO

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files poetry


%files -n python3-poetry -f %{pyproject_files}
%_bindir/poetry


%changelog
* Tue Jul 02 2024 papoteur <papoteur> 1.8.3-2.mga10
+ Revision: 2079076
- restore after bootstrap

* Tue Jul 02 2024 papoteur <papoteur> 1.8.3-1.mga10
+ Revision: 2078836
- new version 1.8.3
- bootstrap without requiring peotry-plugin-export, breaking a loop

* Tue Apr 02 2024 daviddavid <daviddavid> 1.7.1-5.mga10
+ Revision: 2053858
- rebuild to fix 'recreate_srpm_failure'

* Mon Dec 18 2023 tv <tv> 1.7.1-4.mga10
+ Revision: 2018865
- Rebuild for python 3.12

* Mon Dec 11 2023 papoteur <papoteur> 1.7.1-3.mga10
+ Revision: 2017180
- more relax deps

* Mon Dec 11 2023 papoteur <papoteur> 1.7.1-2.mga10
+ Revision: 2017118
- new 1.7.1

* Sat Dec 09 2023 wally <wally> 1.3.2-3.mga10
+ Revision: 2016579
- rebuild for py3.12

* Tue Jan 31 2023 papoteur <papoteur> 1.3.2-2.mga9
+ Revision: 1937250
- relax reqs

* Tue Jan 31 2023 papoteur <papoteur> 1.3.2-1.mga9
+ Revision: 1937177
- new 1.3.2

* Mon Sep 12 2022 wally <wally> 1.2.0-3.mga9
+ Revision: 1887508
- relax reqs

* Thu Sep 08 2022 neoclust <neoclust> 1.2.0-2.mga9
+ Revision: 1885597
- Allow install with current python-crashtest
- imported package python-poetry

